Oracle enhanced adapter 5.2.0.rc1 has been released

2 views
Skip to first unread message

Yasuo Honda

unread,
Jan 30, 2018, 7:19:10 PM1/30/18
to Oracle enhanced adapter for ActiveRecord
Hi,

Oracle enhanced adapter 5.2.0.rc1 has been released.
Oracle enhanced adapter 5.2.0.rc1 supports Rails 5.2.0.rc1. 

Please install and test with your applications by updating your 
Gemfile as follows. 

``` 
gem "activerecord-oracle_enhanced-adapter", "~> 5.2.0.rc1" 
``` 

* Changes and bug fixes

* Support Rails 5.2.0.rc1
* Do not register VARCHAR2(1) sql type as Type:Boolean [#1621 #1623]
* Support insert_fixtures_set [#1633]
* Deprecated insert_fixtures [#1634]
* Refactor index options dumping [#1602]
* Skip failed spec explained at #1599 [#1599 #1604]
* CI with Ruby 2.5.0 [#1618]
* CI against JRuby 9.1.15.0 [#1605]
* Enable Layout/SpaceBeforeComma [#1606]
* Enable Layout/LeadingCommentSpace cop [#1607]
* Enable autocorrect for Lint/EndAlignment cop [#1629]
* Remove --force option for installing bundler [#1616]

Also, Oracle enhanced adapter master branch is now 6.0.0.alpha
for Rails 6.0 support. release52 branch has been created for 5.2 versions. 

Thanks!
Reply all
Reply to author
Forward
0 new messages